tasks:
  walking:
    type: "walking"
    distance: 5000
display:
  name: "&aWalk 5,000 Blocks"
  lore-normal:
    - "&7Walk 5,000 blocks around the server to complete"
    - "&7this quest and earn the following rewards:"
    - ""
    - "&eRewards:"
    - "&8* &aCompass"
    - "&8* &2$&a1,000 Money"
  lore-started:
    - ""
    - "&eYour current progression:"
    - "&8* &f{walking:progress}&8/&f5,000 blocks walked."
  type: "BOOK"

rewards:
  - "eco give {player} 1000"
  - "minecraft:give {player} compass 1"
  - "rawmsg {player} true &8&m---------------<n>&e&lQUEST COMPLETE<n>&7Rewards: &2$&a1,000 Money &7& &a1 Compass<n>&8&m---------------"

placeholders:
  description: "&7Walk &f5,000 blocks &7around the server."
  progress: " &8* &f{walking:progress}&8/&75,000 blocks walked."

options:
  category: "walking"
  repeatable: true
  cooldown:
    enabled: true
    time: 10080
  sort-order: 1